Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeentityreferencenodeattributes Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeentityreferencenodeattributes (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getAttributes()" method invoked on an EntityReference Node returns null.

Retrieve the first Entity Reference node from the last child of the second employee and invoke the "getAttributes()" method on the EntityReference node. It should return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-84CF096

Definition at line 45 of file nodeentityreferencenodeattributes.java.

## Constructor & Destructor Documentation

nodeentityreferencenodeattributes::nodeentityreferencenodeattributes | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodeentityreferencenodeattributes.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodeentityreferencenodeattributes::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 78 of file nodeentityreferencenodeattributes.java.
    00078                                 {
    00079       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeentityreferencenodeattributes";
    00080    }

void nodeentityreferencenodeattributes::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 81 of file nodeentityreferencenodeattributes.java. References DOMTestCase::doMain().
    00081                                           {
    00082         DOMTestCase.doMain(nodeentityreferencenodeattributes.class,args);
    00083    }

void nodeentityreferencenodeattributes::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodeentityreferencenodeattributes.java. References DOMTestCase::assertNull(), DOMTest::isExpandEntityReferences(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList elementList;
    00056       Element entRefAddr;
    00057       Node entRefNode;
    00058       NamedNodeMap attrList;
    00059       doc = load("staff");
    00060
    00061         if(
    00062         isExpandEntityReferences()
    00063         ) {
    00064         entRefNode = doc.createEntityReference("ent2");
    00065
    00066         }
    00067
    00068                 else {
    00069                         elementList = doc.getElementsByTagName("address");
    00070       entRefAddr = (Element)elementList.item(1);
    00071       entRefNode = entRefAddr.getFirstChild();
    00072
    00073                 }
    00074         attrList = entRefNode.getAttributes();
    00075       assertNull("attrList",attrList);
    00076
    00077    }

The documentation for this class was generated from the following file:

- nodeentityreferencenodeattributes.java